ASatz
Date: 2015-04-26

de.jost_net.OBanToo.Dtaus

## Class ASatz

- java.lang.Object
- - de.jost_net.OBanToo.Dtaus.Satz
  - - de.jost_net.OBanToo.Dtaus.ASatz

-     public class ASatz
      extends Satz

  A-Satz - Datei-Vorsatz
  Author:
    Heiner Jostkleigrewe

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.util.Date` | `aAusfuehrungsdatum` Feld a11b, 8 Byte, alpha, Ausführungsdatum (TTMMJJJJ) Angabe freigestellt.
    `private long` | `aBlz` Feld a04, 8 Byte, numerisch, Bankleitzahl, Bankleitzahl des Kreditinstituts (Dateiempfänger)
    `private java.lang.String` | `aDateierstellungsdatum` Feld a07, 6 Byte, numerisch, Datum, Dateierstellungsdatum (TTMMJJ)
    `private long` | `aFeld5` Feld a05, 8 Byte, Dateien, die von Banken geliefert werden, enthalten hier die BLZ
    `private java.lang.String` | `aGutschriftLastschrift` Feld a03, 2 Byte, alpha, Kennzeichen GK oder LK, Hinweis auf Gutschriften (G) bzw.
    `private long` | `aKonto` Feld a09, 10 Byte, numerisch, Kontonummer.
    `private java.lang.String` | `aKundenname` Feld a06, 27 Byte, alpha, Kundenname, Dateiabsender
    `private java.lang.String` | `aReferenz` Feld a10, 10 Byte, numerisch, Referenznummer des Einreichers, Angabe freigestellt
    `private java.lang.String` | `aSatzart` Feld a02, 1 Byte, alpha, Satzart, Konstant A
    `private java.lang.String` | `aSatzlaenge` Feld a01, 4 Bytes, numerisch, Satzlängenfeld, Konstant 0128
    `private java.lang.String` | `aWaehrungskennzeichen` Feld a12, 1 Byte, alpha, Währungskennzeichen, konstant '1'
    `private int` | `toleranz`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ASatz()`
    `ASatz(java.lang.String satz, int toleranz)` Konstruktor mit der Übergabe eines zu parsenden Satzes

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getAusfuehrungsdatum()`
    `java.lang.String` | `getAusfuehrungsdatumString()`
    `long` | `getBlz()`
    `java.lang.String` | `getDateierstellungsdatum()`
    `java.util.Date` | `getDateierstellungsdatumAlsDatum()`
    `long` | `getFeld5()`
    `java.lang.String` | `getGutschriftLastschrift()`
    `long` | `getKonto()`
    `java.lang.String` | `getKundenname()`
    `java.lang.String` | `getReferenz()`
    `void` | `setAusfuehrungsdatum(java.util.Date value)`
    `void` | `setAusfuehrungsdatum(java.lang.String value)`
    `void` | `setBlz(long value)`
    `void` | `setBlz(java.lang.String value)`
    `void` | `setDateierstellungsdatum(java.lang.String value)`
    `void` | `setFeld5(long value)`
    `void` | `setFeld5(java.lang.String value)`
    `void` | `setGutschriftLastschrift(java.lang.String value)` Kennzeichen GK = Gutschrift Kunde LK = Lastschrift Kunde
    `void` | `setKonto(long value)`
    `void` | `setKonto(java.lang.String value)`
    `void` | `setKundenname(java.lang.String value)`
    `void` | `setReferenz(java.lang.String value)`
    `void` | `setWaehrungskennzeichen(java.lang.String value)`
    `java.lang.String` | `toString()`
    `void` | `write(java.io.DataOutputStream dos)`

    - ### Methods inherited from class de.jost_net.OBanToo.Dtaus.Satz

      `codingFromDtaus, make27, makeValid, validCharacters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### aSatzlaenge

          private java.lang.String aSatzlaenge

      Feld a01, 4 Bytes, numerisch, Satzlängenfeld, Konstant 0128

    - #### aSatzart

          private java.lang.String aSatzart

      Feld a02, 1 Byte, alpha, Satzart, Konstant A

    - #### aGutschriftLastschrift

          private java.lang.String aGutschriftLastschrift

      Feld a03, 2 Byte, alpha, Kennzeichen GK oder LK, Hinweis auf Gutschriften (G) bzw. Lastschriften (L), K = Kundendatei

    - #### aBlz

          private long aBlz

      Feld a04, 8 Byte, numerisch, Bankleitzahl, Bankleitzahl des Kreditinstituts (Dateiempfänger)

    - #### aFeld5

          private long aFeld5

      Feld a05, 8 Byte, Dateien, die von Banken geliefert werden, enthalten hier die BLZ

    - #### aKundenname

          private java.lang.String aKundenname

      Feld a06, 27 Byte, alpha, Kundenname, Dateiabsender

    - #### aDateierstellungsdatum

          private java.lang.String aDateierstellungsdatum

      Feld a07, 6 Byte, numerisch, Datum, Dateierstellungsdatum (TTMMJJ)

    - #### aKonto

          private long aKonto

      Feld a09, 10 Byte, numerisch, Kontonummer. Empfänger/Absender Kunde, max 10 Stellen. Über dieses Konto wird der Gegenwert verrechnet.

    - #### aReferenz

          private java.lang.String aReferenz

      Feld a10, 10 Byte, numerisch, Referenznummer des Einreichers, Angabe freigestellt

    - #### aAusfuehrungsdatum

          private java.util.Date aAusfuehrungsdatum

      Feld a11b, 8 Byte, alpha, Ausführungsdatum (TTMMJJJJ) Angabe freigestellt. Nicht jünger als Dateierstellungsdatum (Feld A7), jedoch höchstens 15 Kalendertage über Erstellungsdatum aus Feld A7. Soweit in diesem Datenfeld ein Ausführungstermin angegeben wird, ist zu beachten, dass der in den Sonderbedingungen genannte Nachweiszeitraum von mindestens 10 Kalendertagen erst ab dem genannten Ausführungstermin zu berechnen ist.

    - #### aWaehrungskennzeichen

          private java.lang.String aWaehrungskennzeichen

      Feld a12, 1 Byte, alpha, Währungskennzeichen, konstant '1'

    - #### toleranz

          private int toleranz

  - ### Constructor Detail

    - #### ASatz

          public ASatz(java.lang.String satz,
               int toleranz)
                throws DtausException

      Konstruktor mit der Übergabe eines zu parsenden Satzes
      Throws:
        `DtausException`

    - #### ASatz

          public ASatz()

  - ### Method Detail

    - #### setGutschriftLastschrift

          public void setGutschriftLastschrift(java.lang.String value)
                                        throws DtausException

      Kennzeichen
      GK = Gutschrift Kunde
      LK = Lastschrift Kunde
      Throws:
        `DtausException`

    - #### getGutschriftLastschrift

          public java.lang.String getGutschriftLastschrift()

    - #### setBlz

          public void setBlz(java.lang.String value)
                      throws DtausException

      Throws:
        `DtausException`

    - #### setBlz

          public void setBlz(long value)

    - #### getBlz

          public long getBlz()

    - #### setFeld5

          public void setFeld5(java.lang.String value)

    - #### setFeld5

          public void setFeld5(long value)

    - #### getFeld5

          public long getFeld5()

    - #### setKundenname

          public void setKundenname(java.lang.String value)
                             throws DtausException

      Throws:
        `DtausException`

    - #### getKundenname

          public java.lang.String getKundenname()

    - #### setDateierstellungsdatum

          public void setDateierstellungsdatum(java.lang.String value)

    - #### getDateierstellungsdatum

          public java.lang.String getDateierstellungsdatum()

    - #### getDateierstellungsdatumAlsDatum

          public java.util.Date getDateierstellungsdatumAlsDatum()

    - #### setKonto

          public void setKonto(java.lang.String value)
                        throws DtausException

      Throws:
        `DtausException`

    - #### setKonto

          public void setKonto(long value)

    - #### getKonto

          public long getKonto()

    - #### setReferenz

          public void setReferenz(java.lang.String value)

    - #### getReferenz

          public java.lang.String getReferenz()

    - #### setAusfuehrungsdatum

          public void setAusfuehrungsdatum(java.lang.String value)
                                    throws DtausException

      Throws:
        `DtausException`

    - #### setAusfuehrungsdatum

          public void setAusfuehrungsdatum(java.util.Date value)

    - #### getAusfuehrungsdatumString

          public java.lang.String getAusfuehrungsdatumString()

    - #### getAusfuehrungsdatum

          public java.util.Date getAusfuehrungsdatum()

    - #### setWaehrungskennzeichen

          public void setWaehrungskennzeichen(java.lang.String value)
                                       throws DtausException

      Throws:
        `DtausException`

    - #### write

          public void write(java.io.DataOutputStream dos)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`